"{ Package: 'jv:calipel/s/benchmarks/stx' }"

Object subclass:#BenchmarkStXMicro
	instanceVariableNames:'iterations'
	classVariableNames:''
	poolDictionaries:''
	category:'CalipeL-S-Benchmarks-St/X'
!

!BenchmarkStXMicro class methodsFor:'documentation'!

documentation
"
    Various micro-benchmarks specific to Smalltalk/X.

    [author:]
        Jan Vrany <jan.vrany@fit.cvut.cz>

    [instance variables:]

    [class variables:]

    [see also:]

"
! !

!BenchmarkStXMicro class methodsFor:'running'!

run
    ^ (BenchmarkSuite class:self) run

    "Created: / 10-06-2013 / 21:53:58 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

run: benchmark
    ^ (BenchmarkInstance class:self selector:benchmark) run

    "Created: / 31-05-2013 / 10:39:53 / Jan Vrany <jan.vrany@fit.cvut.cz>"
    "Modified: / 10-06-2013 / 21:53:44 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!BenchmarkStXMicro methodsFor:'benchmarks'!

bench_Smalltalk_allProjectIDs
    <benchmark: 'allProjectIDs'>

    iterations timesRepeat:[
        Smalltalk allProjectIDs.  
    ].

    "
    BenchmarkStXMicro run: #bench_Smalltalk_allProjectIDs
    "

    "Created: / 28-02-2014 / 15:54:23 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!BenchmarkStXMicro methodsFor:'parameters'!

iterations
    ^ iterations
!

iterations:anInteger
    <parameter: 'How many interations in outer loop' type: #Integer default: 100>
    iterations := anInteger.

    "Modified: / 28-02-2014 / 16:00:05 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!BenchmarkStXMicro class methodsFor:'documentation'!

version_HG

    ^ '$Changeset: <not expanded> $'
! !

